com.icesoft.faces.facelets.component.schedule

## Class AbstractCalendarViewController

- java.lang.Object
- - com.icesoft.faces.facelets.component.schedule.AbstractCalendarViewController

- All Implemented Interfaces:
    java.io.Serializable

      public abstract class AbstractCalendarViewController
      extends java.lang.Object
      implements java.io.Serializable

  Abstract Calendar view controller class. Each of the different calendar view controllers (day, week, month, months) implement this base class. Note: the CalendarViewService is set via bean chaining in the faces config.
  Author:
    ICEfaces Technologies Inc.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CalendarViewService` | `calendarViewService`
    `protected org.apache.commons.logging.Log` | `logger`
    `protected com.icesoft.faces.facelets.component.schedule.common.CalendarViewModel` | `viewModel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCalendarViewController()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `dispose()` Disposes the respective CalendarViewController dataStructure
    `com.icesoft.faces.facelets.component.schedule.common.CalendarViewModel` | `getViewModel()`
    `abstract void` | `initialize()` Initialized the respective CalendarViewController dataStructures.
    `abstract void` | `nextCalendar(javax.faces.event.ActionEvent event)` Increments the calendar view one unit past the current date cursor.
    `abstract void` | `previousCalendar(javax.faces.event.ActionEvent event)` Decrements the calendar view one unit past the current date cursor.
    `protected void` | `refreshModel()` Uility to refresh view model.
    `void` | `setCalendarViewService(CalendarViewService calendarViewService)` Sets link to calendar service which is responsible for getting calendar events for the four different view types.
    `void` | `setInitializeDataModel(CalendarViewService calendarViewService)` Sets calendarViewService and initializes the calendar data model.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected final org.apache.commons.logging.Log logger

    - #### calendarViewService

          protected CalendarViewService calendarViewService

    - #### viewModel

          protected com.icesoft.faces.facelets.component.schedule.common.CalendarViewModel viewModel

  - ### Constructor Detail

    - #### AbstractCalendarViewController

          public AbstractCalendarViewController()

  - ### Method Detail

    - #### previousCalendar

          public abstract void previousCalendar(javax.faces.event.ActionEvent event)

      Decrements the calendar view one unit past the current date cursor.
      Parameters:
        `event` - jsf action event.

    - #### nextCalendar

          public abstract void nextCalendar(javax.faces.event.ActionEvent event)

      Increments the calendar view one unit past the current date cursor.
      Parameters:
        `event` - jsf action event.

    - #### initialize

          public abstract void initialize()

      Initialized the respective CalendarViewController dataStructures.

    - #### dispose

          public abstract void dispose()

      Disposes the respective CalendarViewController dataStructure

    - #### setInitializeDataModel

          public void setInitializeDataModel(CalendarViewService calendarViewService)

      Sets calendarViewService and initializes the calendar data model. This is intended to be called from the faces config only.
      Parameters:
        `calendarViewService` - calendar service for fetching calendar event data.

    - #### setCalendarViewService

          public void setCalendarViewService(CalendarViewService calendarViewService)

      Sets link to calendar service which is responsible for getting calendar events for the four different view types.
      Parameters:
        `calendarViewService` - service wrapper for Spring services.

    - #### refreshModel

          protected void refreshModel()

      Uility to refresh view model.

    - #### getViewModel

          public com.icesoft.faces.facelets.component.schedule.common.CalendarViewModel getViewModel()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.